Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WebServiceComponentMBean

public interface WebServiceComponentMBean
extends WebAppComponentMBean

Provides the interface used to configure a Web service that is deployed on a WebLogic Server instance.

A Web service is a special kind of J2EE Web Application that contains an additional deployment descriptor, web-services.xml, that describes the Web service. Because a Web service is packaged as a J2EE Web application, its component MBean is the same as that of a Web application, and thus simply extends the WebAppComponentMBean interface, adding no new methods.

WebLogic Server instantiates this interface only when you deploy a Web service.

This interface can configure Web services that are deployed as WAR files or exploded directories.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ComponentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.WebDeploymentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Methods inherited from interface weblogic.management.configuration.WebAppComponentMBean
`getAuthFilter, getAuthRealmName, getServletReloadCheckSecs, getSingleThreadedServletPoolSize, isIndexDirectoryEnabled, isPreferWebInfClasses, isServletExtensionCaseSensitive, isSessionMonitoringEnabled, setAuthFilter, setAuthRealmName, setIndexDirectoryEnabled, setPreferWebInfClasses, setServletExtensionCaseSensitive, setServletReloadCheckSecs, setSessionMonitoringEnabled, setSingleThreadedServletPoolSize`

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`activated, getActivatedTargets, getApplication, getDDEditingDisabledReason, getURI, isDDEditingEnabled, refreshDDsIfNeeded, setApplication, setURI`

Methods inherited from interface weblogic.management.configuration.WebDeploymentMBean
`addVirtualHost, addWebServer, getDeployedVirtualHosts, getVirtualHosts, getWebServers, removeVirtualHost, removeWebServer, setDeployedVirtualHosts, setVirtualHosts, setWebServers`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD